Avaya Client Services API Reference (OS X)

- Main Page
- Classes
- Files
- Related Pages

- Class List
- Class Index
- Class Hierarchy
- Class Members

Instance Methods | Properties | List of all members
CSMessagingQuery Class Reference

Messaging query data. More...

`#import <CSMessagingQuery.h>`

Inherits NSObject.

## Instance Methods
(instancetype) | - init
| Initialize query object with default values: More...
(instancetype) | - initWithQuery:queryAfter:numberResultsPerConversation:searchParticipants:searchSubject:searchBody:
| Initialize query object. More...

## Properties
BOOL | searchParticipants
| Search participants attribute. More...
BOOL | searchSubject
| Search subject attribute. More...
BOOL | searchBody
| Search body attribute. More...
NSString * | queryAfter
| ISO-8601 date string; filters messages based on last-modified-date. More...
NSString * | query
| Get expression to be searched. More...
NSUInteger | numberResultsPerConversation
| Number of message entries per conversation to return (if not specified, defaults to 15) More...

## Detailed Description

Messaging query data.

This class provides data for the messaging service search.

See also
  -[CSMessagingService searchConversations:watcher:]

## Method Documentation

- (instancetype) init |  |  |

Initialize query object with default values:

- query : empty
- queryAfter : empty
- numberResultsPerConversation : 15
- searchParticipants : YES
- searchSubject : YES
- searchBody : YES

- (instancetype) initWithQuery: |  | (NSString *) | query
queryAfter: |  | (NSString *) | queryAfter
numberResultsPerConversation: |  | (NSUInteger) | numberResultsPerConversation
searchParticipants: |  | (BOOL) | searchParticipants
searchSubject: |  | (BOOL) | searchSubject
searchBody: |  | (BOOL) | searchBody

Initialize query object.

Parameters

  query | Expression to be searched. If query is specified, the server will perform a search operation. If query is omitted, the server will perform a getConversations operation
  queryAfter | ISO-8601 date string; filters messages based on last-modified-date
  numberResultsPerConversation | Number of message entries per conversation to return
  searchParticipants | Search participants attribute
  searchSubject | Search subject attribute
  searchBody | Search body attribute

## Property Documentation

- (NSUInteger) numberResultsPerConversation
| read write nonatomic assign

Number of message entries per conversation to return (if not specified, defaults to 15)

- (NSString*) query
| read write nonatomic copy

Get expression to be searched.

If a query is specified, the server will perform a search operation. If a query is omitted, the server will perform a getConversations operation.

Returns
  String to match in search.

- (NSString*) queryAfter
| read write nonatomic copy

ISO-8601 date string; filters messages based on last-modified-date.

- (BOOL) searchBody
| read write nonatomic assign

Search body attribute.

- (BOOL) searchParticipants
| read write nonatomic assign

Search participants attribute.

- (BOOL) searchSubject
| read write nonatomic assign

Search subject attribute.

The documentation for this class was generated from the following file:

- CSMessagingQuery.h